# List Settlement Fees

Retrieve a list of [Fee](/api/fees) resources belonging to a `Settlement`.

Endpoint: GET /settlements/{settlement_id}/fees
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `settlement_id` (string, required)
    Enter the Settlement ID to list its Fees.

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `created_at.gte` (string)
    Filter where `created_at` is after the given date.

  - `created_at.lte` (string)
    Filter where `created_at` is before the given date.

  - `limit` (integer)
    The numbers of items to return.

  - `tags.key` (string)
    Filter by the tag's key. For more information, see [Tags](/api/section/tags).

  - `tags.value` (string)
    Filter by the tag's value. For more information, see [Tags](/api/section/tags).

  - `updated_at.gte` (string)
    Filter where `updated_at` is after the given date.

  - `updated_at.lte` (string)
    Filter where `updated_at` is before the given date.

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see [Versioning](../../../../additional-resources/developers/authentication-and-api-basics/versioning).

## Response 200:

  - `200` (unknown)
    List of `Fee` resources

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.fees` (array)

  - `_embedded.fees.id` (string)
    The ID of the resource.

  - `_embedded.fees.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.fees.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.fees.amount` (number)
    Represents the total amount. The value may be returned as either:
- an **integer** (`int32`) in cents (e.g., `100` = $1.00), or
- a **double** for fractional amounts (e.g., `2.393`).
    Example: 2.393

  - `_embedded.fees.application` (string)
    ID of the `Application` the resource was created under.

  - `_embedded.fees.category` (string)
    The `Fee` category.
    Enum: "PROCESSOR", "INTERCHANGE", "DUES_AND_ASSESSMENTS", "THIRD_PARTY_SERVICE_PROVIDER"

  - `_embedded.fees.currency` (string)
    ISO 4217 3-letter currency code.
    Enum: "CAD", "USD"

  - `_embedded.fees.display_name` (string)
    It is used for subscription fees and allows free-form text to be passed from the subscription fee product. Note that this product is mostly deprecated.

  - `_embedded.fees.fee_profile` (string)
    The ID of the `Fee Profile` used to calculate fees for the `Transfer` related to this `Fee`. The specific `Transfer` is identified by the `linked_to` field.

  - `_embedded.fees.fee_subtype` (string)
    The subtype of the `Fee`.
    Enum: "CUSTOM", "APPLICATION_FEE", "PLATFORM_FEE"

  - `_embedded.fees.fee_type` (string)
    The type of `Fee`. Finix may return more enums than those provided. Ensure your code accepts additional enums returned by Finix.
    Enum: "ACH_BASIS_POINTS", "ACH_CREDIT_RETURN_FIXED_FEE", "ACH_DEBIT_RETURN_FIXED_FEE", "ACH_FIXED", "ACH_MAX_FIXED", "ACH_NOTICE_OF_CHANGE_CREDIT_FIXED", "ACH_NOTICE_OF_CHANGE_DEBIT_FIXED", "ACH_VALIDATION_PLAID_FIXED", "AFTERPAY_BASIS_POINTS", "AFTERPAY_FIXED", "AMERICAN_EXPRESS_BASIS_POINTS", "AMERICAN_EXPRESS_EXTERNALLY_FUNDED_BASIS_POINTS", "AMERICAN_EXPRESS_EXTERNALLY_FUNDED_FIXED", "AMERICAN_EXPRESS_FIXED", "AMERICAN_EXPRESS_INTERCHANGE", "ANCILLARY_FIXED_FEE_PRIMARY", "ANCILLARY_FIXED_FEE_SECONDARY", "APPLICATION_FEE", "CARD_ACCOUNT_UPDATER_FIXED", "CARD_BASIS_POINTS", "CARD_CROSS_BORDER_BASIS_POINTS", "CARD_CROSS_BORDER_FIXED_FEE", "CARD_EXTERNALLY_FUNDED_BASIS_POINTS", "CARD_EXTERNALLY_FUNDED_FIXED", "CARD_FIXED", "CARD_INTERCHANGE", "CUSTOM", "CARD_NAME_VERIFICATION_FIXED", "CARD_NETWORK_TOKEN_FIXED", "CASH_APP_PAY_BASIS_POINTS", "CASH_APP_PAY_FIXED", "COMPLIANCE_FORM_OVERDUE_FIXED", "DINERS_CLUB_BASIS_POINTS", "DINERS_CLUB_FIXED", "DINERS_CLUB_INTERCHANGE", "DISCOVER_BASIS_POINTS", "DISCOVER_DATA_USAGE_FIXED", "DISCOVER_EXTERNALLY_FUNDED_BASIS_POINTS", "DISCOVER_EXTERNALLY_FUNDED_FIXED", "DISCOVER_FIXED", "DISCOVER_INTERCHANGE", "DISCOVER_NETWORK_AUTHORIZATION_FIXED", "DISPUTE_FIXED_FEE", "DISPUTE_INQUIRY_FIXED_FEE", "EFT_BASIS_POINTS", "EFT_CREDIT_RETURN_FIXED_FEE", "EFT_DEBIT_RETURN_FIXED_FEE", "EFT_FIXED", "EFT_MAX_FIXED", "EFT_VALIDATION_PLAID_FIXED", "GROSS_MONTHLY_FEES_ACH_BASIS_POINTS", "GROSS_MONTHLY_FEES_ACH_FIXED", "GROSS_MONTHLY_FEES_CARD_BASIS_POINTS", "GROSS_MONTHLY_FEES_CARD_FIXED", "GROSS_MONTHLY_FEES_EFT_BASIS_POINTS", "GROSS_MONTHLY_FEES_EFT_FIXED", "INTERAC_BASIS_POINTS", "INTERAC_FIXED", "INVOICE_ACH_BASIS_POINTS", "INVOICE_ACH_FIXED", "INVOICE_ACH_MAX_FIXED", "INVOICE_CARD_BASIS_POINTS", "INVOICE_CARD_FIXED", "INVOICE_EFT_BASIS_POINTS", "INVOICE_EFT_FIXED", "INVOICE_EFT_MAX_FIXED", "JCB_BASIS_POINTS", "JCB_FIXED", "JCB_INTERCHANGE", "MASTERCARD_ACQUIRER_FEE_BASIS_POINTS", "MASTERCARD_BASIS_POINTS", "MASTERCARD_FIXED", "MASTERCARD_INTERCHANGE", "QUALIFIED_TIER_BASIS_POINTS_FEE", "QUALIFIED_TIER_FIXED_FEE", "PAYMENT_INSTRUMENT_TOKENIZATION_FIXED", "SETTLEMENT_FUNDING_TRANSFER_ACH_BASIS_POINTS", "SETTLEMENT_FUNDING_TRANSFER_ACH_CREDIT_RETURN_FIXED", "SETTLEMENT_FUNDING_TRANSFER_ACH_DEBIT_RETURN_FIXED", "SETTLEMENT_FUNDING_TRANSFER_ACH_FIXED", "SETTLEMENT_FUNDING_TRANSFER_ACH_MAX_FIXED", "SETTLEMENT_FUNDING_TRANSFER_EFT_BASIS_POINTS", "SETTLEMENT_FUNDING_TRANSFER_EFT_CREDIT_RETURN_FIXED", "SETTLEMENT_FUNDING_TRANSFER_EFT_DEBIT_RETURN_FIXED", "SETTLEMENT_FUNDING_TRANSFER_EFT_FIXED", "SETTLEMENT_FUNDING_TRANSFER_EFT_MAX_FIXED", "SETTLEMENT_FUNDING_TRANSFER_INSTANT_PAYOUT_CARD_BASIS_POINTS", "SETTLEMENT_FUNDING_TRANSFER_INSTANT_PAYOUT_CARD_FIXED", "SETTLEMENT_FUNDING_TRANSFER_INSTANT_PAYOUT_CARD_MAX_FIXED", "SETTLEMENT_FUNDING_TRANSFER_NOC_CREDIT_FIXED", "SETTLEMENT_FUNDING_TRANSFER_NOC_DEBIT_FIXED", "SETTLEMENT_FUNDING_TRANSFER_SAME_DAY_ACH_BASIS_POINTS", "SETTLEMENT_FUNDING_TRANSFER_SAME_DAY_ACH_FIXED", "SETTLEMENT_FUNDING_TRANSFER_SAME_DAY_ACH_MAX_FIXED", "SUBSCRIPTION_ACH_BASIS_POINTS", "SUBSCRIPTION_ACH_FIXED", "SUBSCRIPTION_ACH_MAX_FIXED", "SUBSCRIPTION_CARD_BASIS_POINTS", "SUBSCRIPTION_CARD_FIXED", "SUBSCRIPTION_EFT_BASIS_POINTS", "SUBSCRIPTION_EFT_FIXED", "SUBSCRIPTION_EFT_MAX_FIXED", "SUPPLEMENTAL_FEE_FIXED", "THIRD_PARTY_GATEWAY_CYBERSOURCE_BASIS_POINTS", "THIRD_PARTY_GATEWAY_CYBERSOURCE_FIXED", "VISA_ACQUIRER_PROCESSING_FIXED", "VISA_BASE_II_CREDIT_VOUCHER_FIXED", "VISA_BASE_II_SYSTEM_FILE_TRANSMISSION_FIXED", "VISA_BASIS_POINTS", "VISA_CREDIT_VOUCHER_FIXED", "VISA_FIXED", "VISA_INTERCHANGE", "VISA_KILOBYTE_ACCESS_FIXED"

  - `_embedded.fees.label` (string)
    It is used for subscription fees and allows free-form text to be passed from the subscription fee product. Note that this product is mostly deprecated.

  - `_embedded.fees.linked_id` (string)
    The ID of the linked resource. Note that this field will be deprecated soon, use `linked_to` instead.

  - `_embedded.fees.linked_to` (string)
    The ID of the linked resource.

  - `_embedded.fees.linked_type` (string)
    The type of entity the `Fee` is linked to.
    Enum: "TRANSFER", "AUTHORIZATION", "SPLIT_TRANSFER"

  - `_embedded.fees.merchant` (string)
    The ID of the `Merchant` resource that was charged the fee.

  - `_embedded.fees.ready_to_settle_at` (string)
    The timestamp indicating when the `Transfer` related to this `Fee` is ready to be settled. The specific `Transfer` is identified by the `linked_to` field.

  - `_embedded.fees.tags` (object)
    Include up to 50 `key: value` pairs to annotate requests with custom metadata.
- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.
(For example, `order_number: 25`, `item_type: produce`, `department: sales`)

  - `_embedded.fees._links` (object)
    For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these `_links` to make your follow-up requests and quickly access relevant IDs.

  - `_embedded.fees._links.self` (object)
    The path to the `Fee` resource.

  - `_embedded.fees._links.self.href` (string)

  - `_embedded.fees._links.merchant` (object)
    A link to the `Merchant` that the fee was debited from.

  - `_embedded.fees._links.merchant.href` (string)

  - `_embedded.fees._links.transfer` (object)
    A link to the `Transfer` that generated the `Fee`.

  - `_embedded.fees._links.transfer.href` (string)

  - `_links` (object)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 200 headers (application/json):

  - `date` (string)
    A response header indicating the date and time of the API request.
    Example: Tue, 08 Jul 2025 17:38:01 GMT

  - `finix-apiuser-role` (string)
    This response header indicating the role of the user who sent the API request.
    Enum: "ROLE_PLATFORM", "ROLE_PARTNER", "ROLE_MERCHANT"

  - `x-request-id` (string)
    This response header provides a unique identifier for the API request.
    Example: 055972f6534f92a896fbb61b11313ebb

## Response 401:

  - `401` (unknown)
    Unauthorized. Authentication is required and has failed or has not been provided.

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403:

  - `403` (unknown)
    Forbidden. The client is authenticated but does not have permission to access the resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406:

  - `406` (unknown)
    Not Acceptable. The server could not accept the submitted request. Confirm how the request was formatted and submitted.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 422:

  - `422` (unknown)
    Unprocessable Entity. One or more query parameters were syntactically valid but could not be processed.

## Response 422 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 200 examples:

  - `List of Fees` (unknown)

## Response 401 examples:

  - `Unauthorized request` (unknown)

## Response 403 examples:

  - `Forbidden request` (unknown)

## Response 406 examples:

  - `Not acceptable` (unknown)

## Response 422 examples:

  - `Invalid value for query param` (unknown)

